VERSION 5.00
Begin VB.Form fMain 
   BorderStyle     =   1  'Fixed Single
   Caption         =   "Balloon SysTray Sample Source"
   ClientHeight    =   3195
   ClientLeft      =   45
   ClientTop       =   330
   ClientWidth     =   4680
   Icon            =   "frm1.frx":0000
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   ScaleHeight     =   2.219
   ScaleMode       =   5  'Inch
   ScaleWidth      =   3.25
   StartUpPosition =   2  'CenterScreen
   Begin VB.OptionButton Option3 
      Caption         =   "30 ."
      Height          =   525
      Left            =   3060
      TabIndex        =   5
      Top             =   150
      Width           =   1245
   End
   Begin VB.OptionButton Option2 
      Caption         =   "15 ."
      Height          =   525
      Left            =   1770
      TabIndex        =   4
      Top             =   150
      Value           =   -1  'True
      Width           =   1245
   End
   Begin VB.OptionButton Option1 
      Caption         =   "10 ."
      Height          =   525
      Left            =   480
      TabIndex        =   3
      Top             =   150
      Width           =   1245
   End
   Begin VB.Timer Timer1 
      Enabled         =   0   'False
      Interval        =   1000
      Left            =   3960
      Top             =   2640
   End
   Begin VB.CommandButton Command1 
      Caption         =   " !"
      Height          =   645
      Left            =   1028
      TabIndex        =   0
      Top             =   960
      Width           =   2625
   End
   Begin VB.Label Label3 
      AutoSize        =   -1  'True
      BackStyle       =   0  'Transparent
      Caption         =   "."
      Height          =   195
      Left            =   2760
      TabIndex        =   6
      Top             =   2160
      Width           =   315
   End
   Begin VB.Label Label2 
      Alignment       =   1  'Right Justify
      AutoSize        =   -1  'True
      BackStyle       =   0  'Transparent
      Caption         =   "0"
      Height          =   195
      Left            =   2520
      TabIndex        =   2
      Top             =   2160
      Width           =   90
   End
   Begin VB.Label Label1 
      AutoSize        =   -1  'True
      BackStyle       =   0  'Transparent
      Caption         =   ":"
      Height          =   195
      Left            =   1590
      TabIndex        =   1
      Top             =   2160
      Width           =   540
   End
   Begin VB.Menu mnuTray 
      Caption         =   "[Tray]"
      Visible         =   0   'False
      Begin VB.Menu mNew 
         Caption         =   "New"
         Enabled         =   0   'False
         Shortcut        =   ^N
      End
      Begin VB.Menu mOpen 
         Caption         =   "Open"
         Enabled         =   0   'False
         Shortcut        =   ^O
      End
      Begin VB.Menu mSave 
         Caption         =   "Save"
         Enabled         =   0   'False
         Shortcut        =   ^S
      End
      Begin VB.Menu mSep 
         Caption         =   "-"
      End
      Begin VB.Menu mQuit 
         Caption         =   "Quit"
      End
   End
End
Attribute VB_Name = "fMain"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Dim WithEvents cTrayIcon As cBalloonSysTray
Attribute cTrayIcon.VB_VarHelpID = -1

Private Sub cTrayIcon_BalloonClicked()
    Debug.Print "BalloonClicked Event"
    Timer1 = False
    Command1.Enabled = True
End Sub

Private Sub cTrayIcon_BalloonHide()
    Debug.Print "BalloonHide Event"
    Command1.Enabled = True
End Sub

Private Sub cTrayIcon_BalloonShow()
    Debug.Print "BalloonShow Event"
    Command1.Enabled = False
    Label2 = 1
    Timer1 = True
End Sub

Private Sub cTrayIcon_BalloonTimeOut()
    Debug.Print "BalloonTimeOut Event"
    Command1.Enabled = True
    Timer1 = False
End Sub

Private Sub cTrayIcon_SysTrayMouseDown(ByVal eButton As MouseButtonConstants)
    If eButton = vbLeftButton Then ZOrder
End Sub

Private Sub cTrayIcon_SysTrayMouseUp(ByVal eButton As MouseButtonConstants)
    If eButton = vbRightButton Then cTrayIcon.ShowMenu
End Sub

Private Sub Command1_Click()
    Dim sMessage As String, sTitle As String, lTimeOut As Long
    
    sTitle = "System Tray Ballon Tip for Win Me/XP"
    sMessage = "  ,    ,        XP!"
    
    If Option1 Then
        lTimeOut = 10
    ElseIf Option2 Then
        lTimeOut = 15
    ElseIf Option3 Then
        lTimeOut = 30
    End If
    
    cTrayIcon.ShowBalloonTip sMessage, sTitle, NIIF_INFO, (lTimeOut * 1000)
End Sub

Private Sub mQuit_Click()
    Unload Me
End Sub

Private Sub Form_Load()
Set cTrayIcon = New cBalloonSysTray

With cTrayIcon
    .OwnerForm = Me
    .OwnerMenuObject = mnuTray
    .DefaultMenuObject = mNew
    .IconHandle = Icon.Handle
    .ToolTip = "System Tray with Balloon"
    .ShowTrayIcon
End With
End Sub

Private Sub Form_MouseMove(Button As Integer, Shift As Integer, X As Single, Y As Single)
    cTrayIcon.CallEvents X
End Sub

Private Sub Timer1_Timer()
    Label2 = Val(Label2) + 1
End Sub
